## Lists examples
n <- c(2, 3, 5) # a vector (of integers)
s <- c("aa", "bb", "cc", "dd", "ee") # a vector (of characters)
b <- c(TRUE, FALSE, TRUE, FALSE, FALSE) # a vector (of logicals)
x <- list(n, s, b, 3) # a list: x contains copies of n, s, b

# list slicing: square brackets
x[2] 
x[c(2, 4)] 
# direct access: _double_ square brackets
x[[2]] 
# direct access is needed to _modify_ list elements
x[[2]][1] <- "ta" 
x[[2]] 
# the list contains a copy of s, which is unaffected
s 
# named lists
v <- list(bob=c(2, 3, 5), john=c("aa", "bb")) 
v 
# named lists slicing
v["bob"] 
# named lists direct access
v[["bob"]] 
v$bob 