## example_07.R
## data frames, part II
data(mtcars)
# is there any documentation on this built-in data set?
?mtcars
# show the dataframe
mtcars 
# size up the dataframe
nrow(mtcars)
ncol(mtcars)
str(mtcars)
# print cell value from the first row, second column
mtcars[1, 2] 
# the same, using row and column names
mtcars["Mazda RX4", "cyl"] 
# print a single column: type of transmission
mtcars[ ,9]
mtcars[[9]]
mtcars[["am"]] 
mtcars$am 
mtcars[,"am"] 
# column slicing: get column 1
mtcars[1] 
mtcars["mpg"] 

# get miles per gallon and horsepower
mtcars[c("mpg", "hp")] 
# row slicing: print a single row
mtcars[24,] 
# rows 3 and 24
mtcars[c(3, 24),] 
# get a row 'by name'
mtcars["Camaro Z28",] 
mtcars[c("Datsun 710", "Camaro Z28"),] 
# place in a new dataframe all the cars with automatic transmission
automatic <-mtcars$am == 0 
mtcars[automatic,] 
# the same, in one line
mtcars[mtcars$am == 0,] 
# mileage for cars with automatic transmission
mtcars[mtcars$am == 0,]$mpg
