## example_06.R
## data frames
data(iris)
# see the `head' ;)
head(iris)
# see the structure
str(iris)
# see column names
names(iris)
# refer to a column
iris$Species
iris[,'Species']
iris[,5]
# make 'slices'
iris[1:3,'Sepal.Length']
# select by row: only a species
iris[iris$Species=='setosa',]
# select by row: two species
iris[iris$Species==c('setosa', 'versicolor'),]
# select by row: sepal length <= 5
iris[iris$Sepal.Length <= 5,]
# select by row: sepal length under the mean
iris[iris$Sepal.Length <= mean(iris$Sepal.Length),]
